
set echo on
set serveroutput on

DECLARE

   v_unique_tag VARCHAR2(64) := 'INSERT..SELECT..PL/SQL';

BEGIN

   INSERT INTO tgt
   SELECT * FROM src
   LOG ERRORS INTO tgt_errors (v_unique_tag)
   REJECT LIMIT 10;

   DBMS_OUTPUT.PUT_LINE( SQL%ROWCOUNT || ' rows successfully inserted.' );

   FOR r IN ( SELECT RTRIM(ora_err_mesg$,CHR(10)) AS err
              FROM   tgt_errors
              WHERE  ora_err_tag$ = v_unique_tag )
   LOOP
      DBMS_OUTPUT.PUT_LINE( r.err );
   END LOOP;

END;
/

